package ast;

import org.antlr.runtime.Token;

import terminais.Identificador;

import framework.IVisitor;

public class Atribuicao extends Node {

	public Atribuicao(Token payload) {
		super(payload);		
	}
	
	public Identificador getId(){
		return (Identificador) getChild(0);
	}
	
	public Expressao getExpressao(){
		return (Expressao) getChild(1);
	}

	@Override
	public Object accept(IVisitor visitor, Object obj) {
		return visitor.visit(this, obj);
	}

}
// soares_pe@msn.com