package ast;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class Comparacao extends Node{

	public Comparacao(Token payload) {
		super(payload);
	}

	public TermoNumerico getTermoNumerico(){
		return (TermoNumerico) getChild(0);
	}
	
	public OperadoresComparacao getOperadorComparacao(){
		try{
			return (OperadoresComparacao) getChild(1);
		}catch(Exception e){					
			return null;
		}
	}
	public TermoNumerico getTermoNumerico2(){
		try{
			return (TermoNumerico) getChild(2);
		}catch(Exception e){
			//System.out.println("nao tem outra Inequacao-- ast.Comparacao");
			return null;
		}
	}
	
	@Override
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}

}
