package ast;

import java.util.ArrayList;
import org.antlr.runtime.Token;
import framework.IVisitor;

public class FatorBooleano extends Node{

	public FatorBooleano(Token payload) {
		super(payload);
	}
	
	public ArrayList<Inequacao> getInequacao(){
		ArrayList<Inequacao> result = new ArrayList<Inequacao>();
		
		for (Object node : getChildren()) {
			
			if (node instanceof Inequacao){
				Inequacao inequacao = (Inequacao) node;
				result.add(inequacao);
			}
		}		
		return result;
	}
	
	@Override
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}

}
