package ast;

import org.antlr.runtime.Token;
import framework.IVisitor;

public class Inequacao extends Node{

	public Inequacao(Token payload) {
		super(payload);
	}

	public Comparacao getComparacao(){
		return (Comparacao) getChild(0);
	}

	public OperadoresInequacao getOperadorInequacao(){
		try{
			return (OperadoresInequacao) getChild(1);
		}catch(Exception e){
			//System.out.println("nao tem operador.. -- ast.Inequacao");		
			return null;
		}
	}
	public Comparacao getComparacao2(){
		try{
			return (Comparacao) getChild(2);
		}catch(Exception e){
		//	System.out.println("nao tem outro termoNumerico-- ast.Inequacao");
			return null;
		}
	}
	
	@Override
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}
	
}
