package ast;

import java.util.List;
import java.util.Vector;

import org.antlr.runtime.Token;


import terminais.Identificador;

import framework.IVisitor;


public class ListaVariavel extends Node {

	
	public ListaVariavel(Token token) {
		super(token);		
	}
			
	public Vector<Identificador> getIdentificadores() {
	Vector <Identificador> retorno = new Vector <Identificador>();
		
		List<?> listaDeFihos = super.getChildren();
		
		int qtdDeFilhos = listaDeFihos.size();
		for (int i = 0; i < qtdDeFilhos; i++) {
			Object no = listaDeFihos.get(i);
			retorno.add((Identificador)no);
		}
			
		return retorno;
	}

	@Override
	public Object accept(IVisitor visitor, Object obj) {
		return visitor.visit(this, obj);
	}



}
