package ast;

import org.antlr.runtime.Token;
import org.antlr.runtime.tree.CommonTree;

import framework.IVisitor;


public abstract class Node extends CommonTree {
	
	protected Node(Token payload) {
		super(payload);
	}
	
	public abstract Object accept(IVisitor visitor, Object obj);
}
