package framework;

import org.antlr.runtime.tree.CommonTree;


public class ConsoleErrorReporter {

	private int numberOfErrors;
	
	
	public int getNumberOfErrors() {
		return this.numberOfErrors;
	}

	public void reportError(CommonTree node, String description) {
		this.numberOfErrors++;
		System.out.printf("Error %d (Line %d, Column %d): %s\n", getNumberOfErrors(), node.getLine(), node.getCharPositionInLine(), description);
	}

}
