package terminais;

import org.antlr.runtime.Token;

import framework.IVisitor;

import ast.Node;


public class IntegerType extends Terminal{

	public IntegerType(Token token) {
		super(token);
		
	}
	
	public int getValor() {
		return Integer.parseInt(super.getText());		
	}

	@Override
	public Object accept(IVisitor visitor, Object obj) {
		return visitor.visit(this, obj);
	}

	
}
