package ast;

import org.antlr.runtime.Token;
import terminais.*;
import framework.IVisitor;

public class Constante extends Node{
	public Constante (Token payload) {
		super(payload);
	}
	
	public IntegerType getValorNumerico(){
		try{
			IntegerType ret = (IntegerType) getChild(0);
			return ret;
		}catch(Exception e){
			return null;
		}		
	}
	
	public BooleanType getValorBooleano(){
		try{
			BooleanType ret = (BooleanType) getChild(0);
			return ret;
		}catch(Exception e){
			return null;
		}		
	}
	
	public StringType getValorString(){
		try{
			StringType ret = (StringType) getChild(0);
			return ret;
		}catch(Exception e){
			return null;
		}		
	}
	
	public Object accept(IVisitor visitor, Object o){
		return visitor.visit(this,o);
	}
}
