package ast;

import java.util.ArrayList;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class Expressao extends Node {

	public Expressao(Token payload) {
		super(payload);
	}
	
	public ArrayList<FatorBooleano> getFatorBoleano(){
		ArrayList<FatorBooleano> result = new ArrayList<FatorBooleano>();
		
		for (Object node : getChildren()) {
			FatorBooleano fatorBoleano = (FatorBooleano) node;
			result.add(fatorBoleano);
		}		
		return result;
	} 
	
	@Override
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}	

}
