package ast;

import org.antlr.runtime.Token;
import framework.IVisitor;

public class ExpressaoUnaria extends Node{
	public ExpressaoUnaria(Token payload) {
		super(payload);
	}

	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}
	
	public boolean temNot(){
		return getChild(0).getText().toLowerCase().equals("not");
	}
	
	public Unidade getUnidade(){
		try{
			Unidade retorno = (Unidade) getChild(0);
			return retorno;
		}catch(Exception e){
			Unidade retorno = (Unidade) getChild(1);
			return retorno;
		}
	}
	
	
}
