package ast;

import java.util.ArrayList;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class FatorNumerico extends Node{
	public FatorNumerico(Token payload){
		super(payload);
	}

	public ExpressaoUnaria getExpressaoUnaria1(){
		return (ExpressaoUnaria) getChild(0);
	}

	/*public OperadorFatorNumerico getOperador(){
		return (OperadorFatorNumerico) getChild(1);
	}

	public ExpressaoUnaria getExpressaoUnaria2(){
		return (ExpressaoUnaria) getChild(2);
	}*/

	public ArrayList<ArrayList<Object>> getFilhos() {

		ArrayList<ArrayList<Object>> operadores = new ArrayList<ArrayList<Object>>();
		int i = 0;
		boolean primVez = true;
		for (Object node : getChildren()) {

			try{
				ArrayList<Object> expressoes = new ArrayList<Object>();
				OperadorFatorNumerico op = (OperadorFatorNumerico) node;
				expressoes.add(op);
				operadores.add(expressoes);
			}catch (Exception e){
				if(primVez){
					primVez = false;
				}else{
					ArrayList<Object> expressoes = operadores.get(i);
					ExpressaoUnaria exp = (ExpressaoUnaria) node;				
					expressoes.add(exp);							
					i++;
				}
			}
		}

		return operadores;
	}

	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}
}
