package ast;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class OperadorFatorNumerico extends Node{
	public OperadorFatorNumerico(Token payload){
		super(payload);
	}
	public String getValue(){
		return getChild(0).getText();
	}
	
	public boolean isMult(){
		if(getValue().equals("*")) return true;
		else return false;
	}
	
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}
	public boolean isDiv() {
		if(getValue().equals("/"))return true;
		else return false;
	}
}
