package ast;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class OperadorTermoNumerico extends Node{
	public OperadorTermoNumerico(Token payload){
		super(payload);
	}
	
	public String getValue(){
		return getChild(0).getText();
	}
	
	public boolean isSoma(){
		if(getValue().equals("+")) return true;
		else return false;
	}
	public Object accept(IVisitor visitor, Object o){
		return visitor.visit(this,o);
	}
}
