package ast;

import org.antlr.runtime.Token;
import framework.IVisitor;

public class OperadoresComparacao extends Node{
	public OperadoresComparacao(Token payload){
		super(payload);
	}
	
	public String getValue(){
		return getChild(0).getText();
	}
	
	public boolean Igual(){
		
		if(getValue().equals("=")) return true;
		else return false;
	}
	
	public boolean Diferente(){
		
		if(getValue().equals("<>") || getValue().equals("><")) return false;
		else return true;
	}
	
	
	public Object accept(IVisitor visitor, Object o){
		return visitor.visit(this,o);
	}

}
