package ast;

import org.antlr.runtime.Token;

import framework.IVisitor;

public class OperadoresInequacao extends Node{
	public OperadoresInequacao(Token payload){
		super(payload);
	}
	
	public String getValue(){
		return getChild(0).getText();
	}

	public boolean isMaiorQue(){
		if(getValue().equals(">"))	return true;
		else return false;
	}
	public boolean isMenorQue(){
		if(getValue().equals("<"))	return true;
		else return false;
	}
	public boolean isMaiorIgual(){
		if(getValue().equals(">="))	return true;
		else return false;
	}
	public boolean isMenorIgual(){
		if(getValue().equals("<="))	return true;
		else return false;
	}
	
	public Object accept(IVisitor visitor, Object o){
		return visitor.visit(this,o);
	}

}
