package ast;

import org.antlr.runtime.Token;

import com.sun.org.apache.xpath.internal.operations.Variable;

import sun.management.counter.Variability;
import terminais.Identificador;
import framework.IVisitor;

public class Unidade extends Node{
	public Unidade(Token payload){
		super(payload);
	}
	
	public Expressao getExpressao(){
		try{
			return (Expressao) getChild(0);
		}catch(Exception e){
			return null;
		}
	}
	
	public Constante getConstante(){
		try{
			return (Constante) getChild(0);
		}catch(Exception e){
			return null;
			
		}
	}
	
	public Identificador getId(){
		try {
			Object obj = (Object) getChild(0);
			Variavel v = (Variavel) obj;
			return v.getId();
		} catch (Exception e) {
			return null;
		}
	}
	
	public Chamada getChamada(){
		try {
			return (Chamada) getChild(0);
		}catch (Exception e){
			return null;
		}
	}

	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}
	
	

}
