package terminais;

import org.antlr.runtime.Token;

import framework.IVisitor;


public class BooleanType extends Terminal{

	public BooleanType(Token token) {
		super(token);
	}

	public boolean getValor() {
		return Boolean.parseBoolean(getText());	
	}
		
	
	@Override
	public Object accept(IVisitor visitor, Object obj) {
		return visitor.visit(this, obj);
	}

	
}
