package terminais;

import org.antlr.runtime.Token;

import framework.IVisitor;
import ast.Node;


public class Identificador extends Terminal {

	public Identificador(Token token) {
		super(token);
	}

	public String getValor(){
		return super.getText();
	}
	
	@Override
	public Object accept(IVisitor visitor, Object o) {
		return visitor.visit(this, o);
	}

}