package terminais;

import org.antlr.runtime.Token;

import framework.IVisitor;

import ast.Node;



public class StringType extends Terminal {

	public StringType(Token token) {
		super(token);	
	}
	
	public String getValor(){
		String valor = super.getText();
		int tamanhoDaString = valor.length() - 2;
		
		return valor.substring(1, tamanhoDaString);
		
	}

	@Override
	public Object accept(IVisitor visitor, Object obj) {
		return visitor.visit(this, obj);
	}

}
